E-MailRelay

Public Member Functions | List of all members
GSmtp::ServerProtocol::Text Class Referenceabstract

An interface used by GSmtp::ServerProtocol to provide response text strings. More...

`#include <gsmtpserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocol::Text:
[legend]

## Public Member Functions
virtual std::string | greeting () const =0
| Returns a system identifier for the initial greeting.
virtual std::string | hello (const std::string &smtp_peer_name) const =0
| Returns a hello response.
virtual std::string | received (const std::string &smtp_peer_name, bool auth, bool secure, const std::string &protocol, const std::string &cipher) const =0
| Returns a complete 'Received' line.
virtual | ~Text ()=default
| Destructor.

## Detailed Description

An interface used by GSmtp::ServerProtocol to provide response text strings.

Definition at line 86 of file gsmtpserverprotocol.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gsmtpserverprotocol.h